# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "downstage"
version = "0.1.0-alpha.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Chromium automation"
homepage = "https://github.com/xbwwj/downstage"
readme = "README.md"
license = "MIT"
repository = "https://github.com/xbwwj/downstage.git"

[lib]
name = "downstage"
path = "src/lib.rs"

[[bin]]
name = "downstage"
path = "src/main.rs"

[dependencies.bon]
version = "3.8.1"

[dependencies.chromiumoxide_cdp]
version = "0.8.0"

[dependencies.chromiumoxide_types]
version = "0.8.0"

[dependencies.futures]
version = "0.3.31"

[dependencies.http]
version = "1.4.0"

[dependencies.regex]
version = "1.12.2"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.145"

[dependencies.thiserror]
version = "2.0.17"

[dependencies.tokio]
version = "1.48.0"
features = ["full"]

[dependencies.tokio-websockets]
version = "0.13.0"
features = [
    "client",
    "rand",
    "ring",
]

[dependencies.tracing]
version = "0.1.43"
